package app.common;

//import java.io.File;
//import java.io.IOException;
import java.util.*;
//import org.codehaus.stax2.*;

//import com.fasterxml.jackson.dataformat.xml.*;
//import com.fasterxml.jackson.module.*;
//import com.fasterxml.jackson.annotation.*;

import javax.swing.DefaultListModel;
//import javax.xml.bind.annotation.XmlAccessorType;
//import javax.xml.bind.annotation.XmlAccessType;
//import javax.xml.bind.annotation.XmlElement;
//import javax.xml.bind.annotation.XmlElementWrapper;
//import javax.xml.bind.annotation.XmlRootElement;

public class Config {
	
	
	String apiKey = new String();
	Boolean mode;	
	java.util.List<String> list = new ArrayList<String>();
	
	public void setApiKey(String key) {
		apiKey = key; 
	}
	public String getApiKey() {
		return apiKey;
	}
	public void setMode(Boolean m) {
		mode = m;
	}
	public Boolean getMode() {
		return mode;
	}
	public void setList(DefaultListModel lst) {
		for(int i=0;i<lst.getSize();i++) {
			list.add((String) lst.getElementAt(i));
		}
	}
	public java.util.List<String> getList() {
		
		return list;
	}
	
	
}
